1. Qonvera Public API
Qonvera
  • Qonvera Public API
    • Contacts
      • List contacts
      • Create a contact
      • Get a contact
      • Update safe contact fields
    • Accounts
      • List accounts
      • Create an account
      • Get an account
      • Update safe account fields
    • Opportunities
      • List opportunities
      • Atomically create an opportunity
      • Get an opportunity
      • Update safe opportunity fields
    • Follow-ups
      • List follow-ups
      • Create an open follow-up
      • Get a follow-up
      • Update safe follow-up fields
    • Catalogue
      • List services
      • List pipelines
    • Receive a Qonvera CRM event
    • Schemas
      • Uuid
      • NullableUuid
      • NullableString
      • NullableEmail
      • NullableDate
      • NullableDateTime
      • Currency
      • TimestampFields
      • Contact
      • ContactPatch
      • ContactCreate
      • Account
      • AccountPatch
      • AccountCreate
      • ForecastCategory
      • Opportunity
      • OpportunityPatch
      • OpportunityServiceItem
      • OpportunityCreate
      • OpportunityCreateResultData
      • FollowupStatus
      • Followup
      • FollowupPatch
      • FollowupCreate
      • Service
      • Pipeline
      • ErrorDetail
      • ErrorEnvelope
      • ContactEnvelope
      • AccountEnvelope
      • OpportunityEnvelope
      • OpportunityCreateEnvelope
      • FollowupEnvelope
      • ContactListEnvelope
      • AccountListEnvelope
      • OpportunityListEnvelope
      • FollowupListEnvelope
      • ServiceListEnvelope
      • PipelineListEnvelope
      • WebhookEventType
      • WebhookEvent
      • ContactWebhookData
      • AccountWebhookData
      • OpportunityWebhookData
      • FollowupWebhookData
      • TestWebhookData
  1. Qonvera Public API

Receive a Qonvera CRM event

Webhook
POST
crmEvent
Verify X-Qonvera-Signature against the exact request bytes using HMAC-SHA256(secret, timestamp + '.' + rawBody), reject stale timestamps, and deduplicate X-Qonvera-Event-Id. Any 2xx acknowledges the event. Qonvera retries timeouts, 408, 409, 425, 429, and 5xx responses with bounded backoff.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
Event accepted and durably deduplicated.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Qonvera-Event-Id;' \
--header 'X-Qonvera-Timestamp;' \
--header 'X-Qonvera-Signature;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "contact.created",
    "api_version": "2026-08-20",
    "occurred_at": "2019-08-24T14:15:22.123Z",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "user@example.com",
        "phone_e164": "string",
        "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}'
Modified at 2026-08-21 05:35:15
Previous
List pipelines
Next
Uuid
Built with